# -*- coding: utf-8 -*-
"""fa_ce_ia.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/13TFocqKwEGCnDMffs7RsFJr7Jd-h0bbq
"""

from numpy.core.numeric import True_
import tensorflow as tf
import matplotlib.pyplot as plt
import numpy as np

fahrenheit=np.array([-50,-18,32,48,62,79,102], dtype = float)
celcius=np.array([-46,-28,0,9,17,26,39], dtype = float)

for i, c in enumerate(fahrenheit):
    print("{} degress Farenheit = {} degrees Centigrados".format(c, celcius[i]))
    

capa1=tf.keras.layers.Dense(units=3, input_shape=[1])
capa2=tf.keras.layers.Dense(units=3)
salida=tf.keras.layers.Dense(units=1)
modelo=tf.keras.Sequential([capa1,capa2,salida])
modelo.compile (
        optimizer =tf.keras.optimizers.Adam(0.1),loss='mean_squared_error'
)

print ("ENTRENANDO....")

historial = modelo.fit(fahrenheit,celcius,epochs=90, verbose=True)
print("Modelo entrenado")

plt.title("Proceso de perdidas")
plt.xlabel("Epocas")
plt.ylabel("Perdidas")
plt.plot(historial.history["loss"])
plt.show()



print("Probemos la IA")
TemperaturaPrueba=50
Resultado=modelo.predict([TemperaturaPrueba])
print("El resultado es : " + str(Resultado)+"C")